USB_HCD_GIVEBACK_U(9)

NAME
usb_hcd_giveback_urb - return URB from HCD to device driver

SYNOPSIS

void usb_hcd_giveback_urb (struct usb_hcd * hcd, struct urb * urb, struct pt_regs * regs);

ARGUMENTS

hcd host controller returning the URB

urb urb being returned to the USB device driver.

regs
    pt_regs, passed down to the URB completion handler

CONTEXT

 in_interrupt

DESCRIPTION

This hands the URB from HCD to its USB device driver, using its completion function. The HCD has freed all per-urb resources (and is done using urb->hcpriv). It also released all HCD locks; the device driver won't cause problems if it frees, modifies, or resubmits this URB.